GraphQL / Object Interface Related Structures.| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| object | yes | ObjectInfo | Detailed information of the new object |
| tangible | yes | TangibleInfo | Detailed information of the new tangible |
| priority | no | Int | Binding priority, default is 0. The object will choose the tangible to use based on priority; a higher value indicates a higher priority |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| errorCode | yes | string | Error code |
| errorInfo | yes | string | Error details |
| result | no | MsgResBulkObjectInfo | Returns the new object |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| tangibleId | yes | string | Tangible ID |
| objectInfo | yes | []ObjectInfo | List of bound objects. The field to be returned should be specified in the request code segment. |
Authorization: Bearer ********************curl --location 'https://mma.tvunetworks.com/api/objectd/v1/query' \
--header 'SID: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"query": "query getOrCreateObjectByTangible { getOrCreateObjectByTangible(input: { infos: [{ object: { objectId: \"\", objectType: 1, objectName: \"testgetcreate1\" }, tangible: { tangibleId: \"testgetcreateTid1\", tangibleType: \"ext\", tangibleName: \"testgetcreateTname1\" } }] }) { errorCode errorInfo result { tangibleId objectInfo { objectId objectName objectType } } } }"
}'{
"data": {
"getOrCreateObjectByTangible": {
"errorCode": "0x0",
"errorInfo": "Succ",
"result": [
{
"tangibleId": "testgetcreateTid1",
"objectInfo": [
{
"objectId": "1239622309669638144",
"objectName": "testgetcreate1",
"objectType": 1
}
]
}
]
}
}
}